Ticket #47 (closed defect: fixed)

Opened 6 years ago

Last modified 6 years ago

lua crash in coro reaping

Reported by: jesus Assigned to: jesus
Priority: major Milestone:
Component: noitd Severity:
Keywords: Cc:

Description

assertion "2 == noit_lua_resume(ci, 0)" failed: file "lua.c", line 556, function
 "noit_lua_check_timeout"

This implies that there is a lingering reference to a coro, despite dereferencing it and performance an explicit GC run.

Change History

08/01/08 03:00:28 changed by jesus

[355] might be related to this.

08/01/08 20:38:27 changed by jesus

(In [359]) maybe? refs #47. This won't trigger on Linux for me, so valgrind is no help.

08/03/08 19:07:01 changed by jesus

(In [360]) supposedly garbage collecting the coro should be enough to do the trick -- resuming it causes accessing freed memory (due to the gc), refs #47

08/15/08 19:49:25 changed by jesus

  • status changed from new to closed.
  • resolution set to fixed.

this appears to be addressed by [360]